/********************************************************************
 * Copyright © 2004 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.esr.common.builder.entity;

// Java Classes

// Library Classes

// Framework Classes

// Common Classes
import gov.va.med.esr.common.model.party.Address;

// Messaging Classes

/**
 * @author Martin Francisco
 */
public interface AddressMetaData
{
    public Address getEntity();

    public void setEntity(Address entity);

    public String getChangeDate();

    public String getChangeSite();

    public String getChangeSource();

    public String getCity();

    public String getCountry();

    public String getCounty();

    public String getLine1();

    public String getLine2();

    public String getLine3();

    public String getPostalCode();

    public String getProvince();

    public String getState();

    public String getType();

    public String getZipCode();

    public String getZipPlus4();
    
    public String getEndDate();

    public String getStartDate();
    
    public String getStatus();
    
    /**
     * Temporary Address information may include a Telephone Number.
     */
    public String getTemporaryAddressPhoneNumber();
}